import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
const jsonIndianstate =
    'https://gist.githubusercontent.com/sreepavanKothapalli/38187cfb6efbf9d94695d825cedf5b0d/raw/f26c56c9a5f10329c8c6ce1af2547f79d76c2ca3/gistfile1.txt';;
	const jsonIndiaDistrict = 'https://gist.githubusercontent.com/AnimeshN/7dd993301b4fb2657a221e3f5e148069/raw/india_district_nfhs4.topojson';

export const useData = (selArea) => {
    let [data, setData] = useState(null);
  	// console.log(selectedArea)
    useEffect(() => {
    const bundle = {}
    json(jsonIndianstate).then(stateTopology => {
      const state = stateTopology.objects.india;
      json(jsonIndiaDistrict).then(districtTopology =>{
      	const dist = districtTopology.objects.india;
      	setData({'state':feature(stateTopology,state),'dist':feature(districtTopology,dist)})
      })
    });  
  }, []);
  
  return data;
  } 